Skip to main content
Resource Center/Hardware/Primary Storage Operations/XStor Block Primary Storage Operations
POSTXStor Block Primary Storage OperationsSince 4.6.0SynchronousAuth Required

GetBlockPrimaryStorageMetadata

GetBlockPrimaryStorageMetadata

Execution Availability

Try It Out

Submit a mock request using the current auth context and example-driven inputs.

Request Inputs

Body Fields

  • paramObjectRequired

    param request body object.

    • vendorNameStringRequired

      The name of the Block storage vendor.

    • metadataStringRequired

      The storage metadata (IP, port, user name, and password).

  • systemTagsList

    Optional. The system tags.

  • userTagsList

    Optional. The user tags.

Responses

200 OK

On success, this API returns the following response structure.

  • successbooleanRequired

    操作是否成功。

  • errorErrorCodeRequired

    The error code. If not null, the operation fails, or vice versa. For more information, see error

    • codeStringRequired

      The error code, which is a numbered or alphanumeric code that specifies an error. For example, SYS.1000, HOST.1001.

    • descriptionStringRequired

      The brief description of the error.

    • detailsStringRequired

      The details about the error.

    • elaborationStringRequired

      The reserved field. Default value: null.

    • opaqueLinkedHashMapRequired

      The reserved field. Default value: null.

  • inventoryPrimaryStorageInventoryRequired

    For more information, see inventory

    • vendorNameStringRequired

      The storage vendor name.

    • metadataStringRequired

      The storage metadata.

    • uuidStringRequired

      The resource UUID.

    • zoneUuidStringRequired

      The zone UUID.

    • nameStringRequired

      The primary storage name.

    • urlStringRequired

      Unused.

    • descriptionString

      Optional. The detailed description of the resource.

    • totalCapacityLongRequired

      The total capacity.

    • availableCapacityLongRequired

      The available capacity.

    • totalPhysicalCapacityLongRequired

      The total physical capacity.

    • availablePhysicalCapacityLongRequired

      The available physical capacity.

    • systemUsedCapacityLongRequired

      The used system capacity.

    • typeStringRequired

      The primary storage type.

    • stateStringRequired

      The running state.

    • statusStringRequired

      The connection status.

    • mountPathStringRequired

      Used.

    • createDateTimestampRequired

      The creation date.

    • lastOpDateTimestampRequired

      The last operation date.

    • attachedClusterUuidsListRequired

      The cluster attached to.

Endpoint

POST/zstack/v1/primary-storage/block/metadata

/zstack/v1/primary-storage/block/metadata

Operation ID

GetBlockPrimaryStorageMetadata

Permalink

Request Example

curl -X POST 'http://{host}/zstack/v1/primary-storage/block/metadata' -H 'Authorization: OAuth {sessionUuid}' -H 'Content-Type: application/json;charset=UTF-8' -d '{"param":{"vendorName":"<vendorName>","metadata":"<metadata>"},"systemTags":["<systemTags>"],"userTags":["<userTags>"]}'

Response Example

200
{ "inventories": [ { "vendorName": "XStor", "uuid": "8f93d463f7d73e1c959aee815ff1e9a8" } ] }

Change History

This API has no change history records yet.

View all change history